function B  = wws_greedy_maximum_objective_reduction_pair(X,G,n,r,P)
P = min(n,P);
min_val = inf;
B = [1;2];test_time = 0;
while (test_time<P)
    i_test = randperm(n,1);
    j_test = randperm(n,1);
    if(i_test==j_test),continue;end
    Tii = G(i_test,:)*X(i_test,:)';
    Tjj = G(j_test,:)*X(j_test,:)';
    Tij = G(i_test,:)*X(j_test,:)';
    Tji = G(j_test,:)*X(i_test,:)';
    AA = Tii + Tjj;
    BB = Tij - Tji;
    CC = Tjj - Tii;
    DD = Tij + Tji;
    w1 = - AA - sqrt(AA*AA+BB*BB);
    w2 = - AA - sqrt(CC*CC+DD*DD);
    Dij = min(w1,w2);
    if(Dij<min_val)
        min_val = Dij;
        B = [i_test;j_test];
    end
    test_time = test_time + 1;
end



